%option noyywrap
%{
#include <stdlib.h>
#include <stdio.h>
#include "td10.tab.h"
%}

INT    [1-9][0-9]*
%%

{INT}             yylval = atoi(yytext); return NUM;
[+\-*/()\n]       return yytext[0];
[ \r\t]+          ;
.                 fprintf(stderr, "Unexpected symbol: %c\n", yytext[0]);

%%
